Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
voro::wall Class Referenceabstract

Pure virtual class from which wall objects are derived. More...

`#include <container.hh>`

Inheritance diagram for voro::wall:

## Public Member Functions
virtual bool | point_inside (double x, double y, double z)=0
virtual bool | cut_cell (voronoicell &c, double x, double y, double z)=0
virtual bool | cut_cell (voronoicell_neighbor &c, double x, double y, double z)=0

## Detailed Description

This is a pure virtual class for a generic wall object. A wall object can be specified by deriving a new class from this and specifying the functions.

Definition at line 31 of file container.hh.

## Member Function Documentation

virtual bool voro::wall::cut_cell | ( | voronoicell & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| pure virtual

A pure virtual function for cutting a cell without neighbor-tracking with a wall.

Implemented in voro::wall_cone, voro::wall_cylinder, voro::wall_plane, and voro::wall_sphere.

virtual bool voro::wall::cut_cell | ( | voronoicell_neighbor & | c,
|  | double | x,
|  | double | y,
|  | double | z
| ) |  |
| pure virtual

A pure virtual function for cutting a cell with neighbor-tracking enabled with a wall.

Implemented in voro::wall_cone, voro::wall_cylinder, voro::wall_plane, and voro::wall_sphere.

virtual bool voro::wall::point_inside | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| pure virtual

A pure virtual function for testing whether a point is inside the wall object.

Implemented in voro::wall_cone, voro::wall_cylinder, voro::wall_plane, and voro::wall_sphere.

The documentation for this class was generated from the following file:

- container.hh